.\" Copyright (c) 1996
.\"	Mike Pritchard <mpp@FreeBSD.org>.  All rights reserved.
.\"
.\" Copyright (c) 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/update.4,v 1.3.4.2 1999/09/05 11:26:57 peter Exp $
.\"
.Dd February 11, 1996
.Dt UPDATE 4
.Os FreeBSD
.Sh NAME
.Nm update
.Nd flush internal filesystem caches to disk periodically
.Sh SYNOPSIS
.Nm update
.Sh DESCRIPTION
The
.Nm update
kernel process helps protect the integrity of disk volumes
by flushing
volatile cached filesystem data
to disk.  This is done at thirty second intervals by default.
The time period may be changed by using
.Xr sysctl 8
to modify the
.Va kern.update
variable.
The 
.Nm update
process does the equivalent of the 
.Xr sync 2
function call to do the task.
.Sh SEE ALSO
.Xr sync 2 ,
.Xr fsck 8 ,
.Xr init 8 ,
.Xr rc 8 ,
.Xr sync 8 ,
.Xr sysctl 8
.Sh BUGS
It is possible on some systems that a
.Xr sync
occurring simultaneously with a crash may cause
file system damage.  See
.Xr fsck 8 .
.Sh HISTORY
An
.Nm update
command appeared in
.At v6 ,
and was usually started by /etc/rc when the system went multi-user.
A kernel initiated
.Nm update
process first appeared in
.Fx 2.0 .
